Subject: pkg/4987: texinfo package failes under 1.3 due to strip problem
To: None <>
From: None <>
List: netbsd-bugs
Date: 02/13/1998 04:31:05
>Number:         4987
>Category:       pkg
>Synopsis:       gtexinfo package failes under 1.3 due to strip problem
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    gnats-admin (GNATS administrator)
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Feb 13 04:35:02 1998
>Originator:     David Brownlee
<a href="">Monochrome</a>
>Release:        1.3
System: NetBSD 1.3 NetBSD 1.3 (_LAPTON_) #0: Fri Jan 9 11:10:00 PST 1998 i386

	Using 1.3 with /usr/share/mk from current (and current pkgsrc)
	# cd /usr/pkgsrc/devel/gtexinfo
	# make package

[ .. build fine, then start install .. ]
  install -c -s -o bin -g bin -m 555 install-info /usr/pkg/bin/install-info
  install -c -s -o bin -g bin -m 555 texindex /usr/pkg/bin/texindex
/bin/sh ../mkinstalldirs /usr/pkg/bin
 install -c -s -o bin -g bin -m 555 texi2dvi /usr/pkg/bin/texi2dvi
strip: /usr/pkg/bin/texi2dvi:: Inappropriate file type or format
install: stripping /usr/pkg/bin/texi2dvi: No such file or directory
*** Error code 1

	texi2dvi is a script - the Packages.txt does not give any indication
	of what The Right Thing to do is in this case.

	See above
	Do no strip texi2dvi on install... A more generic fix may be to
	use a new flag to install which is 'strip if you can, but fail
	silent if non binary'